2

An older version of Geoserver (2.1.3) had Jetty, v.6. The problem is that Jetty 6,7 and 8 are End Of Life (here and here).

Do you know what jetty version the Geoserver 2.12.1 has ? Is it a new, stable supported jetty? I am looking at the Geoserver site and cannot find any info.

3

The current stable GeoServer (2.12.1) ships with Jetty 9.2.13. This can be determined by looking in the lib folder of the Platform independent binary zip file.

However, if you are the sort of person who is running a site where the versions of Jetty is an issue you should install and configure your own version of Jetty (or Tomcat) and install the war file directly. Then you can be sure that everything is as expected. The shipped Jetty is for demonstration purposes only.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.